#
# spec file for package fping (Version 2.4b2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fping
URL:            http://www.fping.com
License:        X11/MIT
Group:          Productivity/Networking/Diagnostic
Autoreqprov:    on
Version:        2.4b2
Release:        15.2
Summary:        A Program to Ping Multiple Hosts
Source:         %{name}-%{version}.tar.bz2
Patch:          fping-2.4b2-fixwarnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FPing is a ping-like program that uses the Internet Control Message
Protocol (ICMP) echo request to determine if a target host is
responding. FPing differs from ping in that you can specify any number
of targets on the command line or specify a file containing a list of
targets to ping. Instead of sending pings to one target until it times
out or replies, FPing sends a ping packet and moves on to the next
target in a round-robin fashion.

In the default mode, if a target replies, it is noted and removed from
the list of targets to check. If a target does not respond within a
certain time limit or retry limit, it is designated as unreachable.
FPing also supports sending a specified number of pings to a target or
looping indefinitely (as in ping).

Unlike ping, FPing is meant to be used in scripts. Its output is
designed to be easy to parse.



Authors:
--------
    Roland Schemers <schemers@stanford.edu>
    RL "Bob" Morgan <morgan@stanford.edu>

%debug_package
%prep
%setup -n fping-2.4b2_to 
%patch

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README
%doc %{_mandir}/man8/fping.8.gz
/usr/sbin/fping

%changelog -n fping
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May 07 2004 - hmacht@suse.de
- Upgrade to version 2.4b2
* Thu Apr 22 2004 - postadal@suse.cz
- fixed gcc warnings
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jun 11 2001 - schwab@suse.de
- Fix alignment problem properly.
* Wed Jul 19 2000 - schwab@suse.de
- Fix alignment problem.
- Pass CFLAGS during configure run.
* Thu Apr 13 2000 - nadvornik@suse.cz
- added BuildRoot
* Sat Feb 12 2000 - grimmer@suse.de
- added Group tag to spec file
- use version macro in spec file
- added full URL to Source tag
- use _mandir macro in spec file
- added CXXFLAGS to %%build section
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 22 1999 - ro@suse.de
- fixed for alpha
* Fri Jan 29 1999 - grimmer@suse.de
- new Package (Version 2.2b1)
